require 'active_support/all'

class JavaFile

  def initialize(name, name_in_class)
    @name = name
    @name_in_class = name_in_class
  end

  def path(settings)
    path_split = "#{settings[:module_name]}.src.main.java.jp.co.worksap.company.web.#{settings[:package]}".split('.')
    File.join(*path_split, @name, "#{settings[:name].camelize}#{@name_in_class}.java")
  end

  def eruby
    @name
  end

end

class WebFile

  def initialize(type)
    @type = type
  end

  def path(settings)
    path_split = "CPNYCJK.src.main.webapp.WebContent".split(".")
    path_split.push(@type, *(settings[:package].split(".")))
    File.join(*path_split, "#{settings[:name]}.#{@type}")
  end

  def eruby
    @type
  end
end
